%define oname ppx_assert

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 5
Summary:        Assert-like extension nodes that raise useful errors on failure

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base >= 0.11
BuildRequires:  ocaml-ppx_cold-devel
BuildRequires:  ocaml-ppx_compare-devel >= 1:0.11
BuildRequires:  ocaml-ppx_here-devel >= 0.11
BuildRequires:  ocaml-ppx_sexp_conv >= 1:0.11
BuildRequires:  ocaml-ppxlib-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-migrate-parsetree >= 1.0

%description
Assert-like extension nodes that raise useful errors on failure

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.exe

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670804
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551883
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545878
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485373
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483883
- BR ocaml-ppx_cold-devel
- BR devel pkgs for here & compare too
- BR ocaml-ppxlib-devel
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-0.mga7
+ Revision: 1324648
- Update to 0.11.0

* Sat Sep 29 2018 umeabot <umeabot> 1:0.10.0-5.mga7
+ Revision: 1310942
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1255539
- rebuild for new ocaml-result 1.3

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242134
- rebuild against ocaml-sexplib

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241892
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193259
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-3.mga6
+ Revision: 1069783
- Rebuild against fixed ocaml

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 977420
- Rebuild for new sexplib

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 967589
- imported package ocaml-ppx_assert

